//
// Created by Krad on 2021/11/24.
//

#include "SelectDialog.h"
#include "components/SlidePickerBox.h"
#include <QVBoxLayout>
#include <QLabel>
SelectDialog::SelectDialog(QWidget* parent, Qt::WindowFlags f) : GUIFormBaseDialog(parent, f) {

	this->setFixedSize(360, 380);
	QVBoxLayout* layout = new QVBoxLayout(formWidget);
	box = new SlidePickerBox(formWidget);
	box->setObjectName("slider_one");
	layout->addWidget(box);

}

SelectDialog::~SelectDialog() {

}

bool SelectDialog::updateReferenceData() {
	return true;
}

void SelectDialog::setAvailableDates(QStringList dates) {
	box->setItems(dates);
}

QString SelectDialog::getSelectedValue() {
	return box->getSelectedValue();
}

void SelectDialog::setSelectedValue(const QString& val) {
	box->setSelectedValue(val);
}
